ChiliProject - Bug # 795: A "{{"" somewhere in the text breaks the whole layout

Status: Open Priority: Normal
Author: Thomas Winkel Category: Text formatting
Created: 2011-12-27 Assignee:

Updated: 2013-02-20 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: In this case the text is interpreted as HTML.

So you could actually embed external html code using iframes, for example.

Demonstration:

it

<iframe src="http://www.gpsies.com/mapOnly.do?fileld=gmexplgbnujcijia" width="600" height="400"
frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe>

Associated revisions

2008-03-09 12:47 pm - Jean-Philippe Lang
Textile formatting:

* escape html tags, except pre tags (#807, #795)
* try to avoid unwanted quick phrase modifiers

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1216 €93f8b46-1217-0410-a6f0-8f06a7374b81

2012-01-16 02:10 pm - Holger Just
[#795] Generate error flash on Liquid syntax error

History

2011-12-27 04:01 pm - Holger Just
- Status changed from Open to Needs more information

This bug concerns two different aspects:
* Liquid uses syntax similar to the old macros and provides a compatibility layer for those. The parsing and execution of the dynamic stuff is completely
different though.

* Liquid is a bit more strict about accepted syntax than what the macros used to to accept.

What you observe here is a syntax error in Liquid (which uses the double braces for variables). Thus, Liquid is unable to properly parse the document
and bails. What you observer now is that we used to just return the input to the browser.

The bug should have been fixed some time ago (one day before the 3.0.0beta1 release) in commit:4656cf1c57de4c08c0166e750e6ac9d1b97cbe53 It
now returns the escaped input if there is a syntax error. chiliproject.org currently runs a slightly adapted version which does not yet include this patch.

Please try it again with either the 3.0.0betal release if the bug (i.e. the unescaped return of input data on syntax error) still exists there.
2011-12-27 05:28 pm - Holger Just
FYI: I just upgraded chiliproject.org to 3.0.0betal. As you can see, the input is escaped now. The only thing missing is probably some meaningful error

message,

2011-12-27 08:28 pm - Thomas Winkel
Ok, | confirm: no problems with beta 1.
Sorry for the trouble, next time | will double-check with the current unstable.

> The only thing missing is probably some meaningful error message

| think, the best way would be to interpret this characters as normal text in this case.

This would not destroy the layout, but the user will directly see his mistake, anyhow.

And for the unlikely case that the user really needs this characters in this context, then everything is just fine.

2012-01-16 01:12 pm - Holger Just

- Status changed from Needs more information to Open

| added an error message in commit:d7ebffb.

I'm still thinking about your proposal to skip the liquid layer and just pass the input through textile...

2013-02-19 01:52 pm - Roger Hunwicks

Thomas Winkel wrote:
> And for the unlikely case that the user really needs this characters in this context, then everything is just fine.
We use Symfony2, and *&#123;{* and *&#123;%"* are both tags in the Twig templating language it uses. That means we can't put Twig code into code

blocks in Issue notes unless we manually substitute *&amp;#123;* for the leading {. The same would be true for anyone using Mustache as a templating

language.

2013-02-20 09:12 pm - Holger Just
You can use the {%raw%} @{% raw %}@ {%endraw%} tag of liquid to define a block of text that should not be evaluated as a liquid template. Unless

you use this tag in your custom template language, you should be safe.
